Summary:	A Python Solitaire Game
Name:		pysol
Version:	4.80
Release:	2cma
Copyright:	GPL
Group:		Amusements/Games
URL:		http://www.oberhumer.com/opensource/pysol/
Vendor:		Markus F.X.J. Oberhumer <markus.oberhumer@jk.uni-linz.ac.at>
Source0:	http://www.oberhumer.com/opensource/pysol/download/%{name}-%{version}.tar.bz2
Source1:	http://www.oberhumer.com/opensource/pysol/download/%{name}-%{version}-src.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prefix:		%{_prefix}
Packager:	Chris Ausbrooks <weed@thebucket.org>
AutoReqProv:	0
Requires:	tcl >= 8.0.5, tk >= 8.0.5, python >= 1.5.2
Conflicts:	pysol-sound-server < 2.10, pysol-cardsets < 3.40-3
BuildArch:	noarch

%package devel
Summary:	Python sources for Pysol
Group:		Amusements/Games
AutoReqProv:	0
Requires:	pysol = %{version}-%{release}
Requires:	tcl >= 8.0.5, tk >= 8.0.5, python >= 1.5.2
Conflicts:	pysol-sound-server < 2.10, pysol-cardsets < 3.40-3
Obsoletes:	pysol-src

%description
PySol is an exciting collection of solitaire card games. Its features
include support for 200 (!) distinct games, very nice look and feel, multiple
cardsets and table tiles, sound and background music, unlimited undo & redo,
load & save games, player statistics and log files, hint system, demo games,
support for user written plug-ins, integrated HTML help browser and lots of
documentation. Among the supported games are classics like Aces Up, Baker's
Game, Canfield, FreeCell, Forty Thieves, Golf, Klondike, Pyramid, Scorpion,
Spider, Yukon, and many more...  PySol is free and written in 100% pure
Python.

%description devel
Python developers source for Pysol.  The files are located in
%{prefix}/share/%{name}/src.  This package is only usefull if you intend on
creating your own Pysol modules.

%prep
%setup -q -n %{name}-%{version}
%setup -q -D -b 1

%build
echo	[KDE Desktop Entry]				>  %{name}.kdelnk
echo	Name=Python Solitaire				>> %{name}.kdelnk
echo	Exec=%{name}					>> %{name}.kdelnk
echo	Icon=%{prefix}/share/%{name}/pysol.xpm		>> %{name}.kdelnk
echo	Type=Application				>> %{name}.kdelnk
echo	DocPath=%{prefix}/share/%{name}/html/index.html	>> %{name}.kdelnk
echo	Comment=Several nice card games			>> %{name}.kdelnk
echo	[Desktop Entry]					>  %{name}.desktop
echo	Name=Python Solitaire				>> %{name}.desktop
echo	Comment=Card-based Solitaire suite.		>> %{name}.desktop
echo	Exec=%{name}					>> %{name}.desktop
echo	Icon=%{prefix}/share/%{name}/pysol.xpm		>> %{name}.desktop
echo	Terminal=0					>> %{name}.desktop
echo	Type=Application				>> %{name}.desktop
echo	Python developers source for Pysol. The files \
	are located in %{prefix}/share/%{name}/src. \
	This package is only usefull if you intend on \
	creating your own Pysol modules. \
	| fmt						>  README.source

%install
rm -rf %{buildroot}
make prefix=%{buildroot}/%{prefix} \
	pkgdatadir=%{prefix}/share/%{name} \
	install-bin
make prefix=%{buildroot}/%{prefix} \
	pkgdatadir=%{buildroot}/%{prefix}/share/%{name} \
	install-data install-man
install -D -m 644 %{name}.kdelnk \
	%{buildroot}/%{prefix}/share/applnk/Games/%{name}.kdelnk
install -D -m 644 %{name}.desktop \
	%{buildroot}/%{prefix}/share/gnome/apps/Games/%{name}.desktop
cp -a src %{buildroot}/%{prefix}/share/%{name}

%files
%defattr(-,root,root)
%doc COPYING INSTALL NEWS README
%{prefix}/bin/*
%{prefix}/man/*/*
%dir %{prefix}/share/%{name}
%{prefix}/share/%{name}/[a-r]*
%{prefix}/share/%{name}/sound
%{prefix}/share/%{name}/[t-z]*
%{prefix}/share/applnk/*/*
%{prefix}/share/gnome/*/*/*

%files devel
%doc README.source
%{prefix}/share/%{name}/src

%clean
rm -rf %{buildroot}

%changelog
* Thu Dec 06 2001 Chris Ausbrooks <weed@thebucket.org>
- fixed urls and emails

* Tue Nov 20 2001 Chris Ausbrooks <weed@thebucket.org>
- updated to 4.72

* Tue May 22 2001 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- updated to 4.71

* Tue Aug 08 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- updated to 4.60
- fixed bug in install
- fixed globbing for rpm 4.0 bug
- added "cma" to versions to avoid name colisions with Hao's rpms
- tested under rpm 4.0

* Tue May 30 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- updated to 4.41

* Fri May 26 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- updated to 4.30

* Mon May 01 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- reinstated pysol-src as pysol-devel
- bzip2 sources to make up for bloat of including devel
- made a bit more portable by dynamicly generating .kdelnk and .desktop

* Fri Apr 28 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- updated to 4.20

* Tue Apr 18 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- updated to 4.10

* Thu Apr 13 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- updated to 4.00
- broke out devel package

* Tue Feb 15 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- updated to 3.40

* Thu Jan 26 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- updated to 3.30
- noted conflict with pysol-sound-server < 2.00

* Sun Jan 23 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- updated to 3.21
- changed URL

* Sun Jan 02 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- made relocatable
- cleaned up spec file
- fixed source url
- greatly simplified install process
- told make to do things right the first time so we don't have to clean up

* Tue Dec 21 1999 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- added actual source to src distribution
- updated to 3.10

* Mon Dec 20 1999 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- replaced perl in specfile with sed, since sed is already needed by makefile
- cleaned up specfile

* Fri Dec 10 1999 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- added pysol.kdelnk and pysol.desktop

* Fri Nov 05 1999 Hao Li <hli@wag.caltech.edu>
- original rpm
